##!/usr/bin/zsh
export PYTHONDONTWRITEBYTECODE=1
export VERSION="1.0.0-2"

# BE CAREFUL TO NOT BUILD IN A PYTHON VENV!

# be sure to change version if needed!
fpm -s python --python-bin python3 --python-pip pip3 --python-package-name-prefix python3 \
    -m '"Joel Klimont" <joel.klimont@comp-air.at>' \
    --license 'proprietary' \
    --description 'Library for robot used in the competition' \
    --after-install postinstall.sh \
    --after-upgrade postinstall.sh \
    --deb-priority "optional" \
    -d "python3-pip" \
    -d "nginx" \
    -d "libnginx-mod-rtmp" \
    -d "libatlas-base-dev" \
    -d "python3-numpy" \
    -d "compsrv" \
    -v $VERSION -t deb setup.py

mkdir build_extract
mv python3-complib_"$VERSION"_all.deb build_extract
cd build_extract
ar -xv python3-complib_"$VERSION"_all.deb

#    --deb-changelog changelog \
#    --deb-upstream-changelog changelog \
#    --deb-field "Distribution: stable" \
#    --deb-dist "stable" \

# sudo apt purge python3-complib -y
# sudo apt install ./python3-*
# sudo apt search complib
# ar vx ./python3*